Aller au contenu
  • Pas encore inscrit ?

    Pourquoi ne pas vous inscrire ? C'est simple, rapide et gratuit.
    Pour en savoir plus, lisez Les avantages de l'inscription... et la Charte de Zébulon.
    De plus, les messages que vous postez en tant qu'invité restent invisibles tant qu'un modérateur ne les a pas validés. Inscrivez-vous, ce sera un gain de temps pour tout le monde, vous, les helpeurs et les modérateurs ! :wink:

Wullfk

[Astuce] Extension Add N Edit Cookies

Messages recommandés

Bonjour,

Beaucoup d'utilisateurs préfèrent conserver Firefox 3.6.x à cause de l'incompatibilité de certaines extensions avec la version 4.0.

Un exemple flagrant, c'est avec CSLite. L'auteur s'est dépêché pour la rendre compatible, mais malheureusement elle ne fonctionne pas. De ce fait beaucoup (c'est mon cas) se sont tournés vers Cookies Monster.

Ce point étant établi, j'ai découvert une petite astuce pour ceux qui souhaiteraient utiliser l'extension Add N Edit Cookies 1.0.0.2 par Arightwizard (Attention! il en existe une autre qui porte le même nom). C'est tout de même une extension dont la dernière mise à jour remonte au 23/05/2010. Vous constaterez que celle-ci n'est pas compatible avec Firefox 4.0.1. et plus

 

979343extensionAddNeditCookies.png

Mais il existe une possibilité d'y remédier. Rendez-vous sur la page de l'extension sur addons.mozilla.org, faites un clic droit que le bouton Ajouter à Firefox

et sélectionnez Enregistrer la cible du lien sous....
Enregistrez le fichier : add_n_edit_cookies-1.0.0.2-fr+mz.xpi sur votre bureau

note: le fichier peut aussi se nommer addon-13793-latest.xpi

Ouvrez le fichier téléchargé avec WinRar ou 7Zip (capture d'écran effectuées sur Linux Ubuntu 14.04LTS)

853503ouvrirfichierxpi.png

808834ouverturexpiavecWinRar.png

 

Recherchez et sélectionnez le fichier nommé install.rdf puis clic droit visualiser le fichier.
à la ligne <em:maxVersion>3.6.*</em:maxVersion>

 

580179viusaliserlefichierinstallrdf.png

Changez la version max en mettant 4.0.* ou plus (ça fonctionne aussi si vous mettez 4.6.*)

Vous n'avez plus qu'à installer l'extension dans Firefox en utilisant, dans les modules complémentaires, la fonction installer un module depuis un fichier...., puis poursuivez l'installation comme vous le feriez normalement.

À la réouverture de Firefox votre extension est parfaitement fonctionnelle sous FF 4.0.1

Petite recommandation tout de même, utilisez cette manip en connaissance de cause, je ne suis nullement responsable des dysfonctionnements éventuels de Firefox qui pourraient en résulter. Bien que cela fonctionne parfaitement chez moi (testé sur une VM), cette procédure est pour le moins peu orthodoxe. Et loin de moi l'idée d'affirmer que le principe fonctionne pour toutes les extensions incompatibles.

Donc un conseil ne vous aventurez pas à faire de même avec toutes vos extensions non compatibles pour FF 4.0.1

Salut :wink:

Modifié par Wullfk

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour,

 

Si cela peut intéresser certains, je viens de faire la manip pour rendre l'extension compatible avec Firefox 5.0 et cela fonctionne. J'ai même prévu plus large, puisque j'ai mis la valeur à 6.0.*

 

Je répète tout de même l'avertissement fourni dans mon premier message

 

Petite recommandation tout de même, utilisez cette manip en connaissance de cause, je ne suis nullement responsable des dysfonctionnements éventuels de Firefox qui pourraient en résulter. Bien que cela fonctionne parfaitement chez moi (testé sur une VM), cette procédure est pour le moins peu orthodoxe. Et loin de moi l'idée d'affirmer que le principe fonctionne pour toutes les extensions incompatibles.

Donc un conseil ne vous aventurez pas à faire de même avec toutes vos extensions non compatibles pour FF 4.0.1

Salut

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonsoir,

 

désolé pour cette réponse tardive (lorsque tu as poster ton message j'étais au CANADA, et j'avais pas mal de chose à voir, j'adore ce pays :love: )

 

la fonction "visualiser" n'est effectivement pas la plus approprié pour faire la modification, essais en faisant l'extraction complète dans un dossier séparé, puis après tu ouvre le fichier nommé install.rdf

avec le bloc note ou un autre éditeur txt (genre Notepad++) pour y effectuer la modif.

n'oublie pas de sauvegarder après la modif.

 

Salut

 

[edit] je viens de faire l'essai , je confirme que "visualiser" ne permet pas de faire de modification, par contre en faisant l'extraction (comme pour un fichier .rar) tu peux parfaitement ouvrir le fichier install.rdf avec le bloc note de Windows, une fois sauvegarder tu réinsère le fichier modifier dans le .xpi et le tour est joué ensuite tu suit le reste de la procédure fourni pour l'utiliser avec FF.

à noter tout de même c'est que j'ai pas essayé ce module avec FF 7.0 , mais vu que cette extension n'a pas été mise à jour depuis un baille, je pense pas que le code est changé.

donc à faire en connaissance de cause, le mieux c'est de tester sur une profil FF de test (CQFD) :grin6: .

Modifié par Wullfk

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour Wullfk,

 

J'ai testé ta méthode #1. J'ai remplacé <em:maxVersion>4.5.*</em:maxVersion> par <em:maxVersion>4.0.*</em:maxVersion>

J'ai maintenant ceci :

 

eeld.jpg

 

Donc, modif pas compatible...

 

Désolé....

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour,

 

Heu ta modif n'est pas bonne, pourquoi régresser de version (4.5 > 4.0) c'est sur que ça peut pas fonctionner d'autre part actuellement comme on en est à la version 47.0 c'est cette valeur qu'il faut mettre.

 

Ceci dit ça peut tout de même ne pas fonctionner.

Partager ce message


Lien à poster
Partager sur d’autres sites

J'ai pris un autre exemple plus actuel, avec le module Cookie Monster qui est compatible FF 47.0

 

Voila les lignes qu'il y a dans le fichier install.rdf :

 

<em:minVersion>37.0</em:minVersion>
<em:maxVersion>45.*</em:maxVersion>

 

Le * c'est pour indiqué au module "de la version 45 et supérieur"

 

Par contre si tout le codage de l'extension à été revue ça peut ne pas fonctionner même en modifiant la ligne "maxVersion"

 

Il faut pas s'amuser à faire ça sur un profil utilisé quotidiennement, vaut mieux faire des essais sur un profil de test et si ça fonctionne on peut alors l'appliquer à son profil principale.

Partager ce message


Lien à poster
Partager sur d’autres sites

Re,

 

Pour le profil, ne t'inquiète pas. Je l'ai sauvegardé avant avec Mozbackup. Ceci dit, ça ne marche pas mieux. J'ai spécifié 45 comme maxversion et ré-installé l'add-on, rien ne change. Si l'install est correcte, les sites ou liens visités ne sont pas colorés.

Partager ce message


Lien à poster
Partager sur d’autres sites

Oui :

 

 

<?xml version='1.0' encoding='utf-8'?>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
<Description about="urn:mozilla:install-manifest">
<em:id>[email protected]</em:id>
<em:version>1.12.0</em:version>
<em:type>2</em:type>
<em:bootstrap>true</em:bootstrap>
<em:unpack>false</em:unpack>

<!-- Firefox -->
<em:targetApplication>
<Description>
<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
<em:minVersion>4.0</em:minVersion>
<em:maxVersion>45.*</em:maxVersion>
</Description>
</em:targetApplication>

<!-- Front End MetaData -->
<em:name>Visited</em:name>
<em:description>Mark all visited links as custom color.</em:description>
<em:creator>7-elephant</em:creator>



</Description>
</RDF>

 

Bon, je vais donc attendre. Merci du coup de main.

 

Notpa

Partager ce message


Lien à poster
Partager sur d’autres sites

Join the conversation

You are posting as a guest. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.


  • En ligne récemment   0 membre est en ligne

    Aucun utilisateur enregistré regarde cette page.

×
×
  • Créer...